$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.170.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.170.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'FA73FDBC403FE64B5ED3431954D3DC0ECB7E91BCF08BFA3A6F8283A9D7453C15'
  checksumType = 'sha256'
  checksum64 = 'FA73FDBC403FE64B5ED3431954D3DC0ECB7E91BCF08BFA3A6F8283A9D7453C15'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.170-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
